## com.saxonica.codegen
Class SequenceExtentCompiler

    java.lang.Object
      com.saxonica.codegen.ValueCompiler
          com.saxonica.codegen.SequenceExtentCompiler

    public class SequenceExtentCompiler

extends ValueCompiler

Generate Java code for a SequenceExtent, that is a sequence of items. A SequenceExtent in the compiled expression tree will always consist of atomic values, never nodes, and we assume that zero-length and single-length sequences have already been optimized out.

Constructor Summary
`SequenceExtentCompiler()`

Method Summary
`java.lang.String` `toJavaExpression(AtomicValue value, CompilerService compiler)`

Methods inherited from class com.saxonica.codegen.ValueCompiler
`compilePush, compileToCharSequence, compileToEffectiveBooleanValue, compileToItem, compileToIterator, getJavaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceExtentCompiler

    public SequenceExtentCompiler()

Method Detail

### toJavaExpression

    public java.lang.String toJavaExpression(AtomicValue value,
                                             CompilerService compiler)

  Specified by:
    `toJavaExpression` in class `ValueCompiler`

Copyright (c) Saxonica Limited. All rights reserved.